#include <suntool/sunview.h>
#include <suntool/canvas.h>
#include "bounce.h"

#define flush()	(void)notify_dispatch();

Frame frame;
Canvas canvas;
Pixwin *pw;
Pixrect *pr;

#include "sun_image.h"
mpr_static(icon, IWIDTH, IHEIGHT, 1, icon_image);

void open_window()
{
	frame = window_create(0,FRAME, FRAME_LABEL, "Bounce Window",
							WIN_WIDTH, WIDTH, WIN_HEIGHT, HEIGHT,
							WIN_X, WX, WIN_Y, WY,
							WIN_ERROR_MSG, "Sunview: Couldn't open window!\n",0);
	window_set(frame, WIN_SHOW, TRUE, 0);
	canvas = window_create(frame, CANVAS, CANVAS_AUTO_EXPAND, TRUE,0);
	pw = canvas_pixwin(canvas);
	flush();
}

void close_window()
{
	window_set(frame, FRAME_NO_CONFIRM, TRUE, 0);
	window_destroy(frame);
	flush();
}

void draw(x,y)
int x,y;
{
	pw_write(pw, x, y, IWIDTH, IHEIGHT, PIX_SRC, &icon, 0, 0);
}

void draw_inverted(x,y)
int x,y;
{
	pw_write(pw, x, y, IWIDTH, IHEIGHT, PIX_NOT(PIX_SRC), &icon, 0, 0);
}

void clear()
{
	pw_writebackground(pw, 0, 0, WIDTH, HEIGHT, PIX_CLR);
}
